Subject: bug#36193: 26.2; 'set-window-scroll-bars' setting doesn't take effect in emacsclient session

From: Andrea Greselin <[email-masked]>
Date: Thu, 13 Jun 2019 20:48:42 +0200

> Are you starting Emacs as daemon?
Yep.

Trying to follow your suggestion I've written

  (defun hide-minibuffer-scrollbar (frame)
    (with-selected-frame frame
      (set-window-scroll-bars (minibuffer-window) 0 nil)))
  (if (daemonp)
      (add-hook 'after-make-frame-functions #'hide-minibuffer-scrollbar) ;
Only for client sessions
    (set-window-scroll-bars (minibuffer-window) 0 nil))

Now client sessions start without the minibuffer scrollbar, but as soon as
I use the minibuffer it comes back and it isn't removed afterwards.

On Thu, 13 Jun 2019 at 18:12, Eli Zaretskii <[email-masked]> wrote:

> > From: Andrea Greselin <[email-masked]>
> > Date: Thu, 13 Jun 2019 16:57:36 +0200
> >
> > I use
> >   (set-window-scroll-bars (minibuffer-window) 0 nil)
> > to disable the minibuffer scroll bar. This works if Emacs is launched
> with
> >   $ emacs
> > but it doesn't in emacsclient sessions, though it takes effect if
> evaluated in the running session (e.g. with
> > 'eval-expression'). I tried delaying the evaluation with
> 'window-setup-hook', to no avail.
> >
> > $ cat ~/.emacs.d/init.el
> > (set-window-scroll-bars (minibuffer-window) 0 nil)
>
> Are you starting Emacs as daemon?  If so, disable the scroll bars in
> after-make-frame-functions instead of directly in your init file.
>